<?php
/**
* Plugin MesLiensSociaux
*
* @package	PLX
* @version	1.0
* @date	13/11/16
* @author Broco
**/
class MesLiensSociaux extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		
		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('showMesLiensSociaux','showMesLiensSociaux');
		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# ThemeEndHead
	########################################
	# Description:
	public function ThemeEndHead(){
		echo '<link rel="stylesheet" href="'.PLX_PLUGINS.'/MesLiensSociaux/style.css"></link>';
	}
########################################
	# showMesLiensSociaux
	########################################
	# Description:
	public function showMesLiensSociaux(){
		$names 			=unserialize(base64_decode($this->getParam("mysocialname")));
		$icons 			=unserialize(base64_decode($this->getParam("mysocialicon")));
		$links 			=unserialize(base64_decode($this->getParam("mysociallink")));
		$descriptions 	=unserialize(base64_decode($this->getParam("mysocialdescription")));
		$desc			=$this->getParam("mysocialdesc_in_title");
		$ordered 		=array();
		$size 			=$this->getParam("mysocialicon_size");

		foreach ($names as $key => $name){
			$ordered[$name]['link']        =empty($links[$key])?'':$links[$key];
			$ordered[$name]['description'] =empty($descriptions[$key])?'':$descriptions[$key];
			$ordered[$name]['icon']        =empty($icons[$key])?'':$icons[$key];
		}
		ksort($ordered);
		if (!empty($size)){
			echo '<link rel="stylesheet" href="'.PLX_PLUGINS.'/MesLiensSociaux/style.css"></link>';
			echo '<style>.MesLiensSociaux [class^="icon-"]:before{font-size:'.$this->getParam("mysocialicon_size").'px;}</style>';
		}
		echo '<h3>'.$this->getParam("mysocial_title").'</h3>';
		echo '<ul class="MesLiensSociaux unstyled-list">';
		foreach ($ordered as $name => $value) {

			if (empty($desc)){
				$title=$value['description'];
				$desc ='';
			}else{
				$title='';
				$desc =$value['description'];
			}
			echo '
				<li>
					<a href="'.$value['link'].'" title="'.$title.'">';
						if (!empty($size)){
							echo '<span class="icon-'.$value['icon'].'"></span> ';
						}
					echo '<span>'.$name.'</span></a>
					<span>'.$desc.'</span>
				</li>
			';
		}
		echo '</ul>';
	}

	

}





/* Pense-bete:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */